/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2011-2013 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "basicThermoMPPICCloud.H"

#include "makeParcelCloudFunctionObjects.H"

// Kinematic
//#include "makeThermoParcelForces.H" // thermo variant
#include "makeParcelForces.H"
#include "makeParcelDispersionModels.H"
#include "makeParcelInjectionModels.H"
#include "makeParcelPatchInteractionModels.H"
#include "makeParcelStochasticCollisionModels.H"
#include "makeThermoParcelSurfaceFilmModels.H" // thermo variant

// MPPIC sub-models
#include "makeMPPICParcelDampingModels.H"
#include "makeMPPICParcelIsotropyModels.H"
#include "makeMPPICParcelPackingModels.H"

// Thermodynamic
#include "makeParcelHeatTransferModels.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
    makeParcelCloudFunctionObjects(basicThermoMPPICCloud);

    // Kinematic sub-models
    //makeThermoParcelForces(basicThermoMPPICCloud);
    makeParcelForces(basicThermoMPPICCloud);
    makeParcelDispersionModels(basicThermoMPPICCloud);
    makeParcelInjectionModels(basicThermoMPPICCloud);
    makeParcelPatchInteractionModels(basicThermoMPPICCloud);
    makeParcelStochasticCollisionModels(basicThermoMPPICCloud);
    makeParcelSurfaceFilmModels(basicThermoMPPICCloud);
    
    // MPPIC sub-models
    makeMPPICParcelDampingModels(basicThermoMPPICCloud);
    makeMPPICParcelIsotropyModels(basicThermoMPPICCloud);
    makeMPPICParcelPackingModels(basicThermoMPPICCloud);

    // Thermo sub-models
    makeParcelHeatTransferModels(basicThermoMPPICCloud);
}


// ************************************************************************* //
